# mongoc_server_description_hello_response()

## Synopsis

    const bson_t *
    mongoc_server_description_hello_response (
       const mongoc_server_description_t *description);

## Parameters

- `description`: A mongoc_server_description_t.

## Description

The client or client pool periodically runs a “hello” command on each server, to update its view of the MongoDB deployment. Use mongoc_client_get_server_descriptions() and `mongoc_server_description_hello_response()` to get the most recent “hello” response.

## Returns

A reference to a BSON document, owned by the server description. The document is empty if the driver is not connected to the server.